package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service.WxUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/app/user")
@Slf4j
public class UserController {

	@Autowired
	private WxUserService wxUserService;

	@GetMapping
	public AjaxResult getUser() {
		return AjaxResult.success("登录成功", wxUserService.getUser());
	}
}
