package com.ruoyi.web.controller.app.vo;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service.ISysDeptService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/dept")
@Slf4j
public class DeptController {
	@Autowired
	private ISysDeptService iSysDeptService;

	@GetMapping("/list")
	public AjaxResult deptList() {
		return AjaxResult.success(iSysDeptService.selectSimpleList());
	}
}
