package com.ruoyi.quartz.task;

import com.ruoyi.common.core.domain.TaskDTO;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("autoTask")
public class AutoTaskJob implements Job {


	@Override
	public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {

		// 获取任务信息
		TaskDTO task = (TaskDTO) jobExecutionContext.getJobDetail().getJobDataMap().get("task");
		System.out.println("AutoTaskJob execute");
		System.out.println("执行任务：" + task.getTitle());
		jobExecutionContext.getJobDetail().getKey().getName();
	}
//

}
