package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业资质映
 * @TableName enterprise_qualification
 */
@Data
public class EnterpriseQualification extends BaseEntity implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 企业ID
     */
    private Long enterpriseId;

    /**
     * 资质名称，例如：排污许可证、环保合格证
     */
    private String qualificationName;

    /**
     * 资质到期日期
     */
    private Date expiryDate;

    /**
     * 资质描述，详细说明资质信息
     */
    private String qualificationDescription;
    /**
     * 是否删除
     */
    private Boolean delFlag;

    private static final long serialVersionUID = 1L;
}
