package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 企业与用户关联对象 enterprise_users
 *
 * @author ruoyi
 * @date 2025-01-13
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("enterprise_users")
public class EnterpriseUsers extends BaseEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId(type = IdType.AUTO)

	private Long id;

	/**
	 * 企业ID
	 */
	@TableField("`enterprise_id`")
	private Long enterpriseId;

	/**
	 * 用户ID
	 */
	@TableField("`user_id`")

	private Long userId;
}



