package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Tasks;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.dto.TaskPageDto;
import com.ruoyi.system.domain.vo.TaskAppSelectVo;
import com.ruoyi.system.domain.vo.TaskInsertEnterprisesVo;
import com.ruoyi.system.domain.vo.TaskSaveVo;

/**
 * 任务，用于存储所有的任务信息，任务可由不同用户创建并管理。Service接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface ITasksService extends IService<Tasks> {

	void insertTasks(TaskSaveVo taskSaveVo);
	//小程序端任务列表
	List<TaskAppSelectVo> getAppTaskList();

	List<TaskPageDto> getPage();

	void taskInsertEnterprises(TaskInsertEnterprisesVo taskInsertEnterprisesVo);

}
