package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service.ITasksService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/task")
@Slf4j
public class TaskController {

	@Autowired
	private ITasksService iTasksService;

	@RequestMapping("/list")
	public AjaxResult getTask() {
		return AjaxResult.success(iTasksService.getAppTaskList());
	}

}
