package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 任务企业映射，用于关联任务与企业的对应关系。对象 task_enterprises
 *
 * @author ruoyi
 * @date 2025-01-14
 */
@TableName("task_enterprises")
@Data
public class TaskEnterprises extends BaseEntity
	{
			private static final long serialVersionUID = 1L;

			/** 映射记录ID，主键 */
			@TableId(value = "id",type = IdType.AUTO)
			private Long id;

			/** 任务ID */
			private Long taskId;

			/** 企业ID */
			private Long enterpriseId;
}
