package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户审核日志对象 user_audit_log
 *
 * @author ruoyi
 * @date 2025-01-16
 */
@TableName("user_audit_log")
@Data
public class UserAuditLog extends BaseEntity
		{
private static final long serialVersionUID = 1L;

		/** 主键 */
			@TableId(value = "id",type = IdType.AUTO)
		private Long id;

		/** 用户id */
				@Excel(name = "用户id")
		private Long userId;

		/** 驳回内容 */
				@Excel(name = "驳回内容")
		private String content;

		/** 审批状态 */
				@Excel(name = "审批状态")
		private String status;

		public void setId(Long id)
		{
			this.id = id;
		}

		public Long getId()
		{
			return id;
		}
		public void setUserId(Long userId)
		{
			this.userId = userId;
		}

		public Long getUserId()
		{
			return userId;
		}
		public void setContent(String content)
		{
			this.content = content;
		}

		public String getContent()
		{
			return content;
		}
		public void setStatus(String status)
		{
			this.status = status;
		}

		public String getStatus()
		{
			return status;
		}

@Override
public String toString() {
	return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
		.append("id", getId())
		.append("userId", getUserId())
		.append("content", getContent())
		.append("status", getStatus())
		.append("createBy", getCreateBy())
		.append("createTime", getCreateTime())
		.append("updateBy", getUpdateBy())
		.append("updateTime", getUpdateTime())
			.toString();
}
}
