package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.system.mapper.WxUserMapper;
import com.ruoyi.system.service.WxUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class WxUserServiceImpl implements WxUserService {

	@Autowired
	private WxUserMapper wxUserMapper;

	@Override
	public SysUser getUser() {
		final Long userId = SecurityUtils.getUserId();
		LambdaQueryWrapper<SysUser> wrapper = new LambdaQueryWrapper<>();
		wrapper.eq(userId != null, SysUser::getUserId, userId);
		return wxUserMapper.selectOne(wrapper);
	}
}
